Subject: Re: [Bitcoin-development] Procedure for non-tech contributions

From: Tom Geller <[email-masked]>
Date: Sun, 2 Mar 2014 18:02:14 -0500

Peter Todd <[email-masked]> wrote:
>> I proof-read rc1 and simply submitted my changes via pull-req:
>> 
>>     https://github.com/bitcoin/bitcoin/pull/3642

Drak responded:
> Actually, this is unnecessary since github allows editing of files directly on the site and the it will submit as a pull request. You can even update by visiting your fork (it creates this automatically and a topic branch) and make more edits and it will add to your PR. There is basically no barrier for non techy people to contribute.

Ooo, I like this. I *can* use git, but would love to be able to avoid it -- as would most non-technical contributors.

Anyway, this particular solution doesn't appear to be possible in this case, as the file isn't at https://github.com/bitcoin/bitcoin/tree/0.9.0/doc/release-notes , and I don't believe I could copy it to the repository without going the whole git route. Suggestions welcome, here or privately.

Peter writes:
> MtGox does host the bitcoin wiki, so yes, the funds probably do go to a wallet held by MtGox in some fashion.

The foolishness of sending a payment to a Mt. Gox-held wallet -- which is required to edit the wiki -- strikes me as a pressing issue. If I understand it correctly, this is a hard blocker that'll stop *all* new contributors. Further, I registered for the wiki and never got my confirmation email. Methinks the whole thing is broken. :(

Again, please to redirect me if this is inappropriate for this list. (I'm new here.) Cheers,

---
          Tom Geller  *  Oberlin, Ohio  *  415-317-1805
           Writer/Presenter * http://www.tomgeller.com
         articles, marketing, videos, user guides, books